/*#region header*/
.header-header {
    .img-container{
        img{
            width: 100%;
        }
    }
}

.header-body {


    .logo-container {
        width: 130px;

        a {
            display: block;
            line-height: 76px;

            img {
                width: auto;
                height: auto;
            }
        }
    }

    .search-form {
        position: relative;
        width: calc(100% - 130px - 100px);

        .shead {
            text-align: center;
            font-weight: $font-weight-semibold;
            border-bottom: 1px solid $border-gray;
        }

        form {
            position: relative;

            input {
                padding: 10px;
                border: 1px solid $border-gray;
                width: 100%;
            }

            button {
                position: absolute;
                border: none;
                background: none;
                right: 0;
                top: 0;
                padding: 7px;
                color: $primary-color;
                cursor: pointer;
            }
        }
    }

    .cart-bag {
        a {
            font-size: 30px;
            display: block;
            position: relative;

            span#count {
                position: absolute;
                content: "";
                top: 0;
                right: 0;
                width: 20px;
                height: 20px;
                background: $primary-color;
                border-radius: 25px;
                font-size: 13px;
                display: block;
                color: #fff;
                text-align: center;
            }
        }

        width: 100px;

        @include flex-center();
    }
}
header {
    .container {
        border-top: 5px solid $primary-color;
    }
}
/*#endregion*/

/*#region #nav-pc*/
#nav-pc {
    height: 100%;
    width: 100%;
    border-bottom: 5px solid $primary-color;
    background: #2d2d2d;
    box-shadow: inset -1px -5px 0px -1px #393939;
    font-family: "Times New Roman", Times, serif;
    padding-left: 10px;

    > .nav {
        height: 100%;
        padding: 0;
        margin: 0;
        @include flex-container();

        > li {
            list-style: none;
            margin: 0;
            height: 100%;
            border: 1px solid #222222;
            border-width: 0 0 0 1px;

            &.menu-home {
              //  background: var(--primary);
                margin-top: -5px !important;
                font-size: 24px;
                padding: 0 3px;

                &.active {
                    background: var(--primary);
                }

                a {
                    padding: 0 !important;
                    font-size: 33px;
                }
            }

            a {
                display: block;
            }

            > a {
                padding: 0;
                text-transform: uppercase;
                font-weight: bold;
                color: var(--white);
                padding: 10px 20px;
            }

            &.active,
            &:hover {
                > a {
                    color: var(--primary-hover);
                }
            }

            &:last-child {
                border-right: 0;

                &.nav-parent {
                    > .nav-child {
                        left: inherit;
                        right: 0;

                        > .nav > .nav-parent > .nav-child {
                            right: 100%;
                            left: inherit;
                        }
                    }
                }
            }
        }

        > .nav-parent {
            position: relative;

            > .nav-child {
                @include animation();
                @include box-shadow1();
                opacity: 0;
                visibility: hidden;
                -webkit-transform-origin: left top 0;
                -ms-transform-origin: left top 0;
                transform-origin: left top 0;
                -webkit-transform: translatey(25px);
                -ms-transform: translatey(25px);
                transform: translatey(25px);
                z-index: -1;
                pointer-events: none;
                top: 100%;
                left: 0;
                position: absolute;
                width: 230px;
                background-color: $second-color;
                padding: 0;
                margin: 0;
                border-top: 3px soloid $primary-color;

                a {
                    color: $white;
                    text-transform: uppercase;
                    padding: 10px;
                    font-weight: $font-weight-normal;
                }

                li {
                    list-style: none;

                    &.active,
                    &:hover {
                        > a {
                            background-color: $primary-color;
                            color: $white;
                        }
                    }
                }

                > .nav > .nav-parent {
                    > a > i {
                        float: right;
                    }

                    > .nav-child {
                        @include animation();
                        @include box-shadow1();
                        opacity: 0;
                        visibility: hidden;
                        -webkit-transform-origin: left top 0;
                        -ms-transform-origin: left top 0;
                        transform-origin: left top 0;
                        -webkit-transform: translatey(25px);
                        -ms-transform: translatey(25px);
                        transform: translatey(25px);
                        z-index: -1;
                        pointer-events: none;
                        position: absolute;
                        top: 0;
                        left: 100%;
                        width: 230px;
                        background-color: $white;
                        height: 100%;
                    }

                    &:hover {
                        > .nav-child {
                            opacity: 1;
                            visibility: visible;
                            z-index: 10;
                            -webkit-transform: translatey(0px);
                            -ms-transform: translatey(0px);
                            transform: translatey(0px);
                            pointer-events: auto;
                        }
                    }
                }
            }

            &:hover {
                > .nav-child {
                    opacity: 1;
                    visibility: visible;
                    z-index: 10;
                    -webkit-transform: translatey(0px);
                    -ms-transform: translatey(0px);
                    transform: translatey(0px);
                    pointer-events: auto;
                }
            }
        }

        .mega-menu {
            > .nav-child {
                @include animation();
                @include box-shadow1();
                padding: 40px;
                opacity: 0;
                visibility: hidden;
                -webkit-transform-origin: left top 0;
                -ms-transform-origin: left top 0;
                transform-origin: left top 0;
                -webkit-transform: translatey(25px);
                -ms-transform: translatey(25px);
                transform: translatey(25px);
                z-index: -1;
                pointer-events: none;
                top: 100%;
                left: 0;
                position: absolute;
                width: 100%;
                background-color: $white;

                > .nav {
                    width: calc(100% / 5);

                    > li {
                        list-style: none;

                        > a {
                            display: block;
                            padding: 10px 0;
                        }

                        &:first-child {
                            > a {
                                font-weight: $font-weight-bold;
                                font-size: 18px;
                                padding: 0 0 20px 0;
                            }
                        }
                    }
                }

                .img-container {
                    width: calc((100% / 5) * 2);
                }
            }

            &:hover {
                > .nav-child {
                    opacity: 1;
                    visibility: visible;
                    z-index: 10;
                    -webkit-transform: translatey(0px);
                    -ms-transform: translatey(0px);
                    transform: translatey(0px);
                    pointer-events: auto;
                }
            }
        }
    }
}
/*#endregion*/
/*#region #nav-pc*/
.btn-contact {
    margin-left: 20px;
}
/*#endregion*/
@media screen and (min-width: 1920px) {
    /*#region #sad*/
    
    /*#endregion*/
}

@media screen and (max-width: 1440px) {
    /*#region #sad*/
   
    /*#endregion*/
}

@media screen and (min-width: 1200px) {
    /*#region #sad*/
    /*#endregion*/
}

@media screen and (max-width: 1280px) {
}

@media screen and (max-width: 1024px) {
    /*#region ##nav-pc*/
    #nav-pc {
        > .nav {
            > li {
                margin-right: 5px;
                > a {
                    padding: 5px;
                }
            }

            .mega-menu {
                > .nav-child {
                    > .nav {
                        > li:first-child {
                            > a {
                                font-size: 16px;
                            }
                        }
                    }
                }
            }
        }
    }
    /*#endregion*/
}

@media screen and (max-width: 980px) {
}

@media screen and (max-width: 768px) {
    /*#region #nav-pc*/
    .header-body {
        .logo-container {
            width: 90px;
            text-align: center;
            padding-bottom: 0;
        }

        .search-container,
        .cart-container {
            margin-left: 20px;
        }
    }

    #nav-pc {
        width: calc(100% - 100px - 150px);

        > .nav {
            > li {
                margin-right: 5px;

                > a {
                    padding-top: 15px;
                    padding-bottom: 15px;
                    padding: 2px;
                    font-size: 12px;
                }
            }

            .mega-menu {
                > .nav-child {
                    > .nav {
                        > li:first-child {
                            > a {
                                font-size: 16px;
                                padding-bottom: 10px;
                            }
                        }
                    }
                }
            }
        }
    }
    /*#endregion*/
}

@media screen and (max-width: 650px) {
}

@media screen and (max-width: 450px) {
    /*#region #sad*/
    /*#endregion*/
}

@media screen and (max-width: 375px) {
}

@media screen and (max-width: 360px) {
}

@media screen and (max-width: 320px) {
    /*#region #sad*/
    /*#endregion*/
}
/*------------------------------------*\
  STYLE FIX ALL BROWSER
\*------------------------------------*/
/*#region firefox*/
@-moz-document url-prefix() {
    /*Code is here*/
}
/*#endregion*/
/*#region ie*/
@media screen and (-ms-high-contrast: active), (-ms-high-contrast: none) {
    /*Code is here*/
}
/*#endregion*/
